Reindex audit logs.
1 min
POST
https://api.upstartcommerce.com/pim/audit-logs/reindex
Header Parameters
- x-upstart-tenantstringrequiredDescriptionMin Length1
Responses
200
- object
400
- ValidationErrorResponse.json
401
- ErrorResponse.json
403
- ErrorResponse.json
default
- ErrorResponse.json
curl
curl --request POST \
--url https://api.upstartcommerce.com/pim/audit-logs/reindex \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'POST',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/audit-logs/reindex", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/audit-logs/reindex")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/pim/audit-logs/reindex"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// audit logs re-indexed.
{}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{}401
// The provided credentials were not valid for this endpoint.
{}403
// User's roles are insufficient for this endpoint.
{}default
// This is the default internal server error. System was not able to process this request.
{}